


# updateEmail method




    *[<Null safety>](https://dart.dev/null-safety)*



- @[override](https://api.flutter.dev/flutter/dart-core/override-constant.html)

FutureOrResult&lt;[Account](../../wyatt_authentication_bloc/Account-class.md)> updateEmail
({required [String](https://api.flutter.dev/flutter/dart-core/String-class.html) email})

_<span class="feature">override</span>_



<p>Update or add <code>email</code>.</p>
<p>Throws a UpdateEmailFailureInterface if
an exception occurs.</p>



## Implementation

```dart
@override
FutureOrResult<Account> updateEmail({required String email}) =>
    Result.tryCatchAsync<Account, AppException, AppException>(
      () async {
        final account =
            await authenticationRemoteDataSource.updateEmail(email: email);
        return account;
      },
      (error) => error,
    );
```







