


# SignInWithEmailLinkFailureFirebase.fromCode constructor




    *[<Null safety>](https://dart.dev/null-safety)*



SignInWithEmailLinkFailureFirebase.fromCode([String](https://api.flutter.dev/flutter/dart-core/String-class.html) code)





## Implementation

```dart
SignInWithEmailLinkFailureFirebase.fromCode(String code)
    : super.fromCode(code) {
  switch (code) {
    case 'expired-action-code':
      msg = 'Action code has expired.';
      break;
    case 'invalid-email':
      msg = 'Email is not valid or badly formatted.';
      break;
    case 'user-disabled':
      msg = 'This user has been disabled. Please contact support for help.';
      break;
    default:
      this.code = 'unknown';
      msg = 'An unknown error occurred.';
  }
}
```







