


# sendEmailVerification method




    *[<Null safety>](https://dart.dev/null-safety)*



- @[override](https://api.flutter.dev/flutter/dart-core/override-constant.html)

[Future](https://api.flutter.dev/flutter/dart-async/Future-class.html)&lt;void> sendEmailVerification
()

_<span class="feature">override</span>_



<p>Sends verification email to the account email.</p>
<p>Throws a SendEmailVerificationFailureInterface if an exception occurs.</p>



## Implementation

```dart
@override
Future<void> sendEmailVerification() async {
  try {
    await _firebaseAuth.currentUser!.sendEmailVerification();
  } on FirebaseAuthException catch (e) {
    throw SendEmailVerificationFailureFirebase.fromCode(e.code);
  } catch (_) {
    throw SendEmailVerificationFailureFirebase();
  }
}
```







