


# signUpWithEmailAndPassword method




    *[<Null safety>](https://dart.dev/null-safety)*




FutureOrResult&lt;[Account](../../wyatt_authentication_bloc/Account-class.md)> signUpWithEmailAndPassword
({required [String](https://api.flutter.dev/flutter/dart-core/String-class.html) email, required [String](https://api.flutter.dev/flutter/dart-core/String-class.html) password})





<p>Creates a new user with the provided <code>email</code> and <code>password</code>.</p>
<p>Returns the newly created user's unique identifier.</p>
<p>Throws a SignUpWithEmailAndPasswordFailureInterface if
an exception occurs.</p>



## Implementation

```dart
FutureOrResult<Account> signUpWithEmailAndPassword({
  required String email,
  required String password,
});
```







