


# delete method




    *[<Null safety>](https://dart.dev/null-safety)*



- @[override](https://api.flutter.dev/flutter/dart-core/override-constant.html)

FutureOrResult&lt;void> delete
()

_<span class="feature">override</span>_



<p>Delete account.</p>
<p>Throws a DeleteAccountFailureInterface if
an exception occurs.</p>



## Implementation

```dart
@override
FutureOrResult<void> delete() =>
    Result.tryCatchAsync<void, AppException, AppException>(
      () async => authenticationRemoteDataSource.delete(),
      (error) => error,
    );
```







