


# refresh method




    *[<Null safety>](https://dart.dev/null-safety)*



- @[override](https://api.flutter.dev/flutter/dart-core/override-constant.html)

FutureOrResult&lt;[Account](../../wyatt_authentication_bloc/Account-class.md)> refresh
()

_<span class="feature">override</span>_



<p>Refreshes the current user, if signed in.</p>



## Implementation

```dart
@override
FutureOrResult<Account> refresh() =>
    Result.tryCatchAsync<Account, AppException, AppException>(
      () async {
        final account = await authenticationRemoteDataSource.refresh();
        return account;
      },
      (error) => error,
    );
```







