


# sendEmailVerification method




    *[<Null safety>](https://dart.dev/null-safety)*



- @[override](https://api.flutter.dev/flutter/dart-core/override-constant.html)

FutureOrResult&lt;void> sendEmailVerification
()

_<span class="feature">override</span>_



<p>Sends verification email to the account email.</p>
<p>Throws a SendEmailVerificationFailureInterface if an exception occurs.</p>



## Implementation

```dart
@override
FutureOrResult<void> sendEmailVerification() =>
    Result.tryCatchAsync<void, AppException, AppException>(
      () async {
        await authenticationRemoteDataSource.sendEmailVerification();
      },
      (error) => error,
    );
```







