


# EmailVerificationCubit&lt;Data> class






    *[<Null safety>](https://dart.dev/null-safety)*






**Inheritance**

- [Object](https://api.flutter.dev/flutter/dart-core/Object-class.html)
- [BlocBase](https://pub.dev/documentation/bloc/8.1.0/bloc/BlocBase-class.html)&lt;[EmailVerificationState](../wyatt_authentication_bloc/EmailVerificationState-class.md)>
- [Cubit](https://pub.dev/documentation/bloc/8.1.0/bloc/Cubit-class.html)&lt;[EmailVerificationState](../wyatt_authentication_bloc/EmailVerificationState-class.md)>
- EmailVerificationCubit








## Constructors

[EmailVerificationCubit](../wyatt_authentication_bloc/EmailVerificationCubit/EmailVerificationCubit.md) ({required [AuthenticationRepository](../wyatt_authentication_bloc/AuthenticationRepository-class.md)&lt;Data> authenticationRepository})

   


## Properties

##### [authenticationRepository](../wyatt_authentication_bloc/EmailVerificationCubit/authenticationRepository.md) &#8594; [AuthenticationRepository](../wyatt_authentication_bloc/AuthenticationRepository-class.md)&lt;Data>



  
_<span class="feature">final</span>_



##### [hashCode](https://api.flutter.dev/flutter/dart-core/Object/hashCode.html) &#8594; [int](https://api.flutter.dev/flutter/dart-core/int-class.html)



The hash code for this object.  
_<span class="feature">read-only</span><span class="feature">inherited</span>_



##### [isClosed](https://pub.dev/documentation/bloc/8.1.0/bloc/BlocBase/isClosed.html) &#8594; [bool](https://api.flutter.dev/flutter/dart-core/bool-class.html)



Whether the bloc is closed.  
_<span class="feature">read-only</span><span class="feature">inherited</span>_



##### [runtimeType](https://api.flutter.dev/flutter/dart-core/Object/runtimeType.html) &#8594; [Type](https://api.flutter.dev/flutter/dart-core/Type-class.html)



A representation of the runtime type of the object.  
_<span class="feature">read-only</span><span class="feature">inherited</span>_



##### [state](https://pub.dev/documentation/bloc/8.1.0/bloc/BlocBase/state.html) &#8594; [EmailVerificationState](../wyatt_authentication_bloc/EmailVerificationState-class.md)



The current <a href="https://pub.dev/documentation/bloc/8.1.0/bloc/BlocBase/state.html">state</a>.  
_<span class="feature">read-only</span><span class="feature">inherited</span>_



##### [stream](https://pub.dev/documentation/bloc/8.1.0/bloc/BlocBase/stream.html) &#8594; [Stream](https://api.flutter.dev/flutter/dart-async/Stream-class.html)&lt;[EmailVerificationState](../wyatt_authentication_bloc/EmailVerificationState-class.md)>



The current <a href="https://pub.dev/documentation/bloc/8.1.0/bloc/BlocBase/stream.html">stream</a> of states.  
_<span class="feature">read-only</span><span class="feature">inherited</span>_





## Methods

##### [addError](https://pub.dev/documentation/bloc/8.1.0/bloc/BlocBase/addError.html)([Object](https://api.flutter.dev/flutter/dart-core/Object-class.html) error, [[StackTrace](https://api.flutter.dev/flutter/dart-core/StackTrace-class.html)? stackTrace]) void



Reports an <code>error</code> which triggers <a href="https://pub.dev/documentation/bloc/8.1.0/bloc/BlocBase/onError.html">onError</a> with an optional <a href="https://api.flutter.dev/flutter/dart-core/StackTrace-class.html">StackTrace</a>.  
_<span class="feature">inherited</span>_



##### [checkEmailVerification](../wyatt_authentication_bloc/EmailVerificationCubit/checkEmailVerification.md)() [FutureOr](https://api.flutter.dev/flutter/dart-async/FutureOr-class.html)&lt;void>



  




##### [close](https://pub.dev/documentation/bloc/8.1.0/bloc/BlocBase/close.html)() [Future](https://api.flutter.dev/flutter/dart-async/Future-class.html)&lt;void>



Closes the instance.
This method should be called when the instance is no longer needed.
Once <a href="https://pub.dev/documentation/bloc/8.1.0/bloc/BlocBase/close.html">close</a> is called, the instance can no longer be used.  
_<span class="feature">inherited</span>_



##### [emit](https://pub.dev/documentation/bloc/8.1.0/bloc/BlocBase/emit.html)([EmailVerificationState](../wyatt_authentication_bloc/EmailVerificationState-class.md) state) void



Updates the <code>state</code> to the provided <code>state</code>.
<a href="https://pub.dev/documentation/bloc/8.1.0/bloc/BlocBase/emit.html">emit</a> does nothing if the <code>state</code> being emitted
is equal to the current <code>state</code>.  
_<span class="feature">inherited</span>_



##### [noSuchMethod](https://api.flutter.dev/flutter/dart-core/Object/noSuchMethod.html)([Invocation](https://api.flutter.dev/flutter/dart-core/Invocation-class.html) invocation) dynamic



Invoked when a non-existent method or property is accessed.  
_<span class="feature">inherited</span>_



##### [onChange](https://pub.dev/documentation/bloc/8.1.0/bloc/BlocBase/onChange.html)([Change](https://pub.dev/documentation/bloc/8.1.0/bloc/Change-class.html)&lt;[EmailVerificationState](../wyatt_authentication_bloc/EmailVerificationState-class.md)> change) void



Called whenever a <code>change</code> occurs with the given <code>change</code>.
A <code>change</code> occurs when a new <code>state</code> is emitted.
<a href="https://pub.dev/documentation/bloc/8.1.0/bloc/BlocBase/onChange.html">onChange</a> is called before the <code>state</code> of the <code>cubit</code> is updated.
<a href="https://pub.dev/documentation/bloc/8.1.0/bloc/BlocBase/onChange.html">onChange</a> is a great spot to add logging/analytics for a specific <code>cubit</code>.  
_<span class="feature">inherited</span>_



##### [onError](https://pub.dev/documentation/bloc/8.1.0/bloc/BlocBase/onError.html)([Object](https://api.flutter.dev/flutter/dart-core/Object-class.html) error, [StackTrace](https://api.flutter.dev/flutter/dart-core/StackTrace-class.html) stackTrace) void



Called whenever an <code>error</code> occurs and notifies <a href="https://pub.dev/documentation/bloc/8.1.0/bloc/BlocObserver/onError.html">BlocObserver.onError</a>.  
_<span class="feature">inherited</span>_



##### [sendEmailVerification](../wyatt_authentication_bloc/EmailVerificationCubit/sendEmailVerification.md)() [FutureOr](https://api.flutter.dev/flutter/dart-async/FutureOr-class.html)&lt;void>



  




##### [toString](https://api.flutter.dev/flutter/dart-core/Object/toString.html)() [String](https://api.flutter.dev/flutter/dart-core/String-class.html)



A string representation of this object.  
_<span class="feature">inherited</span>_





## Operators

##### [operator ==](https://api.flutter.dev/flutter/dart-core/Object/operator_equals.html)([Object](https://api.flutter.dev/flutter/dart-core/Object-class.html) other) [bool](https://api.flutter.dev/flutter/dart-core/bool-class.html)



The equality operator.  
_<span class="feature">inherited</span>_















