


# SignInListener&lt;Data> class






    *[<Null safety>](https://dart.dev/null-safety)*



<p>Widget that listens and builds a child based on the state of 
the sign in cubit</p>



**Inheritance**

- [Object](https://api.flutter.dev/flutter/dart-core/Object-class.html)
- [DiagnosticableTree](https://api.flutter.dev/flutter/foundation/DiagnosticableTree-class.html)
- [Widget](https://api.flutter.dev/flutter/widgets/Widget-class.html)
- [StatelessWidget](https://api.flutter.dev/flutter/widgets/StatelessWidget-class.html)
- SignInListener








## Constructors

[SignInListener](../wyatt_authentication_bloc/SignInListener/SignInListener.md) ({required [Widget](https://api.flutter.dev/flutter/widgets/Widget-class.html) child, void onProgress([BuildContext](https://api.flutter.dev/flutter/widgets/BuildContext-class.html) context)?, void onSuccess([BuildContext](https://api.flutter.dev/flutter/widgets/BuildContext-class.html) context)?, void onError([BuildContext](https://api.flutter.dev/flutter/widgets/BuildContext-class.html) context, FormStatus status, [String](https://api.flutter.dev/flutter/dart-core/String-class.html)? errorMessage)?, void customBuilder([BuildContext](https://api.flutter.dev/flutter/widgets/BuildContext-class.html) context, [SignInState](../wyatt_authentication_bloc/SignInState-class.md) state)?, [Key](https://api.flutter.dev/flutter/foundation/Key-class.html)? key})

  _const_ 


## Properties

##### [child](../wyatt_authentication_bloc/SignInListener/child.md) &#8594; [Widget](https://api.flutter.dev/flutter/widgets/Widget-class.html)



  
_<span class="feature">final</span>_



##### [customBuilder](../wyatt_authentication_bloc/SignInListener/customBuilder.md) &#8594; (void Function([BuildContext](https://api.flutter.dev/flutter/widgets/BuildContext-class.html) context, [SignInState](../wyatt_authentication_bloc/SignInState-class.md) state)?)



  
_<span class="feature">final</span>_



##### [hashCode](https://api.flutter.dev/flutter/widgets/Widget/hashCode.html) &#8594; [int](https://api.flutter.dev/flutter/dart-core/int-class.html)



The hash code for this object.  
_<span class="feature">read-only</span><span class="feature">inherited</span>_



##### [key](https://api.flutter.dev/flutter/widgets/Widget/key.html) &#8594; [Key](https://api.flutter.dev/flutter/foundation/Key-class.html)?



Controls how one widget replaces another widget in the tree.  
_<span class="feature">final</span><span class="feature">inherited</span>_



##### [onError](../wyatt_authentication_bloc/SignInListener/onError.md) &#8594; (void Function([BuildContext](https://api.flutter.dev/flutter/widgets/BuildContext-class.html) context, FormStatus status, [String](https://api.flutter.dev/flutter/dart-core/String-class.html)? errorMessage)?)



  
_<span class="feature">final</span>_



##### [onProgress](../wyatt_authentication_bloc/SignInListener/onProgress.md) &#8594; (void Function([BuildContext](https://api.flutter.dev/flutter/widgets/BuildContext-class.html) context)?)



  
_<span class="feature">final</span>_



##### [onSuccess](../wyatt_authentication_bloc/SignInListener/onSuccess.md) &#8594; (void Function([BuildContext](https://api.flutter.dev/flutter/widgets/BuildContext-class.html) context)?)



  
_<span class="feature">final</span>_



##### [runtimeType](https://api.flutter.dev/flutter/dart-core/Object/runtimeType.html) &#8594; [Type](https://api.flutter.dev/flutter/dart-core/Type-class.html)



A representation of the runtime type of the object.  
_<span class="feature">read-only</span><span class="feature">inherited</span>_





## Methods

##### [build](../wyatt_authentication_bloc/SignInListener/build.md)([BuildContext](https://api.flutter.dev/flutter/widgets/BuildContext-class.html) context) [Widget](https://api.flutter.dev/flutter/widgets/Widget-class.html)



Describes the part of the user interface represented by this widget.  
_<span class="feature">override</span>_



##### [createElement](https://api.flutter.dev/flutter/widgets/StatelessWidget/createElement.html)() [StatelessElement](https://api.flutter.dev/flutter/widgets/StatelessElement-class.html)



Creates a <a href="https://api.flutter.dev/flutter/widgets/StatelessElement-class.html">StatelessElement</a> to manage this widget's location in the tree.  
_<span class="feature">inherited</span>_



##### [debugDescribeChildren](https://api.flutter.dev/flutter/foundation/DiagnosticableTree/debugDescribeChildren.html)() [List](https://api.flutter.dev/flutter/dart-core/List-class.html)&lt;[DiagnosticsNode](https://api.flutter.dev/flutter/foundation/DiagnosticsNode-class.html)>



Returns a list of <code>DiagnosticsNode</code> objects describing this node's
children.  
_<span class="feature">inherited</span>_



##### [debugFillProperties](https://api.flutter.dev/flutter/widgets/Widget/debugFillProperties.html)([DiagnosticPropertiesBuilder](https://api.flutter.dev/flutter/foundation/DiagnosticPropertiesBuilder-class.html) properties) void



Add additional properties associated with the node.  
_<span class="feature">inherited</span>_



##### [noSuchMethod](https://api.flutter.dev/flutter/dart-core/Object/noSuchMethod.html)([Invocation](https://api.flutter.dev/flutter/dart-core/Invocation-class.html) invocation) dynamic



Invoked when a non-existent method or property is accessed.  
_<span class="feature">inherited</span>_



##### [toDiagnosticsNode](https://api.flutter.dev/flutter/foundation/DiagnosticableTree/toDiagnosticsNode.html)({[String](https://api.flutter.dev/flutter/dart-core/String-class.html)? name, [DiagnosticsTreeStyle](https://api.flutter.dev/flutter/foundation/DiagnosticsTreeStyle.html)? style}) [DiagnosticsNode](https://api.flutter.dev/flutter/foundation/DiagnosticsNode-class.html)



Returns a debug representation of the object that is used by debugging
tools and by <a href="https://api.flutter.dev/flutter/foundation/DiagnosticsNode/toStringDeep.html">DiagnosticsNode.toStringDeep</a>.  
_<span class="feature">inherited</span>_



##### [toString](https://api.flutter.dev/flutter/foundation/Diagnosticable/toString.html)({[DiagnosticLevel](https://api.flutter.dev/flutter/foundation/DiagnosticLevel.html) minLevel = DiagnosticLevel.info}) [String](https://api.flutter.dev/flutter/dart-core/String-class.html)



A string representation of this object.  
_<span class="feature">inherited</span>_



##### [toStringDeep](https://api.flutter.dev/flutter/foundation/DiagnosticableTree/toStringDeep.html)({[String](https://api.flutter.dev/flutter/dart-core/String-class.html) prefixLineOne = '', [String](https://api.flutter.dev/flutter/dart-core/String-class.html)? prefixOtherLines, [DiagnosticLevel](https://api.flutter.dev/flutter/foundation/DiagnosticLevel.html) minLevel = DiagnosticLevel.debug}) [String](https://api.flutter.dev/flutter/dart-core/String-class.html)



Returns a string representation of this node and its descendants.  
_<span class="feature">inherited</span>_



##### [toStringShallow](https://api.flutter.dev/flutter/foundation/DiagnosticableTree/toStringShallow.html)({[String](https://api.flutter.dev/flutter/dart-core/String-class.html) joiner = ', ', [DiagnosticLevel](https://api.flutter.dev/flutter/foundation/DiagnosticLevel.html) minLevel = DiagnosticLevel.debug}) [String](https://api.flutter.dev/flutter/dart-core/String-class.html)



Returns a one-line detailed description of the object.  
_<span class="feature">inherited</span>_



##### [toStringShort](https://api.flutter.dev/flutter/widgets/Widget/toStringShort.html)() [String](https://api.flutter.dev/flutter/dart-core/String-class.html)



A short, textual description of this widget.  
_<span class="feature">inherited</span>_





## Operators

##### [operator ==](https://api.flutter.dev/flutter/widgets/Widget/operator_equals.html)([Object](https://api.flutter.dev/flutter/dart-core/Object-class.html) other) [bool](https://api.flutter.dev/flutter/dart-core/bool-class.html)



The equality operator.  
_<span class="feature">inherited</span>_















