


# emailChanged method




    *[<Null safety>](https://dart.dev/null-safety)*




void emailChanged
([String](https://api.flutter.dev/flutter/dart-core/String-class.html) value)








## Implementation

```dart
void emailChanged(String value) {
  final emailValidatorType = formRepository
      .accessForm(formName)
      .validatorOf(AuthFormField.email)
      .runtimeType;
  assert(
    emailValidatorType == Email,
    'Use emailCustomChanged(...) with validator $emailValidatorType',
  );

  final Email email = Email.dirty(value);
  dataChanged(AuthFormField.email, email);
}
```







